## gate.creole
Class APFormatExporter

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractProcessingResource
                        |
                        +--gate.creole.AbstractLanguageAnalyser
                              |
                              +--gate.creole.APFormatExporter

All Implemented Interfaces:
  ANNIEConstants, Executable, FeatureBearer, LanguageAnalyser, NameBearer, ProcessingResource, Resource, Serializable

public class APFormatExporter
extends AbstractLanguageAnalyser
implements ANNIEConstants

This class implements a APF xml exporter. It works on documents or corpora to export them in the APF format.

See Also:
  Serialized Form

Fields inherited from interface gate.creole.ANNIEConstants
`ANNOTATION_COREF_FEATURE_NAME, DOCUMENT_COREF_FEATURE_NAME, PR_NAMES`

Constructor Summary
`APFormatExporter()` Constructor does nothing.

Method Summary
`void` `execute()` Run the resource and does the entire export process
`String` `getDtdFileName()` Java bean style accesor for DtdFileName
`List` `getExportedTypes()` Java bean style accesor for exportedTypes
`URL` `getExportFilePath()` Java bean style accesor for exportFilePath
`String` `getSource()` Java bean style accesor for source
`Resource` `init()` Initialise this resource, and returns it.
`void` `setDtdFileName(String aDtdFileName)` Java bean style mutator for dtdFileName
`void` `setExportedTypes(List anExportedTypesList)` Java bean style mutator for exportedTypes
`void` `setExportFilePath(URL anExportFilePath)` Java bean style mutator for exportFilePath
`void` `setSource(String aSource)` Java bean style mutator for source

Methods inherited from class gate.creole.AbstractLanguageAnalyser
`getCorpus, getDocument, setCorpus, setDocument`

Methods inherited from class gate.creole.AbstractProcessingResource
`addProgressListener, addStatusListener, cleanup, interrupt, isInterrupted, reInit, removeProgressListener, removeStatusListener`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gate.ProcessingResource
`interrupt, isInterrupted, reInit`

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Constructor Detail

### APFormatExporter

    public APFormatExporter()

  Constructor does nothing. This PR is bean like initialized

Method Detail

### execute

    public void execute()
                 throws ExecutionException

  Run the resource and does the entire export process
  Overrides:
    `execute` in class `AbstractProcessingResource`

### init

    public Resource init()
                  throws ResourceInstantiationException

  Initialise this resource, and returns it.
  Overrides:
    `init` in class `AbstractProcessingResource`

### setExportedTypes

    public void setExportedTypes(List anExportedTypesList)

  Java bean style mutator for exportedTypes

### getExportedTypes

    public List getExportedTypes()

  Java bean style accesor for exportedTypes

### setDtdFileName

    public void setDtdFileName(String aDtdFileName)

  Java bean style mutator for dtdFileName

### getDtdFileName

    public String getDtdFileName()

  Java bean style accesor for DtdFileName

### setExportFilePath

    public void setExportFilePath(URL anExportFilePath)

  Java bean style mutator for exportFilePath

### getExportFilePath

    public URL getExportFilePath()

  Java bean style accesor for exportFilePath

### setSource

    public void setSource(String aSource)

  Java bean style mutator for source

### getSource

    public String getSource()

  Java bean style accesor for source